kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bruno Cadonna <br...@confluent.io>
Subject Re: Error building
Date Wed, 05 Jun 2019 07:05:33 GMT
Hi Landon,

I tried your command on apache/kafka:trunk with HEAD at commit
ba3dc494371145e8ad35d6b85f45b8fe1e44c21f and it worked.

./gradlew -v
------------------------------------------------------------
Gradle 5.1.1
------------------------------------------------------------

Build time:   2019-01-10 23:05:02 UTC
Revision:     3c9abb645fb83932c44e8610642393ad62116807

Kotlin DSL:   1.1.1
Kotlin:       1.3.11
Groovy:       2.5.4
Ant:          Apache Ant(TM) version 1.9.13 compiled on July 10 2018
JVM:          1.8.0_202 (Oracle Corporation 25.202-b08)
OS:           Mac OS X 10.14.4 x86_64

I would try the following and retry to build after each item:
- ./gradlew clean
- git pull (maybe also a ./gradlew clean)
- re-initialise gradlew
- make a fresh git clone and start from the beginning

Also, read again the README.md at https://github.com/apache/kafka.
Maybe you missed something there.

Maybe somebody else here on the mailing list has also a good tip for you.

Best,
Bruno

On Wed, Jun 5, 2019 at 2:56 AM Landon Kuhn <landon9720@gmail.com> wrote:
>
> Hello,
>
> I am unable to build the project and am looking for help. "./gradlew
> --console=plain installAll" results in the following output:
>
> > Configure project :
> Building project 'core' with Scala version 2.12.8
> Building project 'streams-scala' with Scala version 2.12.8
>
> > Task :generator:compileJava UP-TO-DATE
> > Task :generator:processResources NO-SOURCE
> > Task :generator:clas./gradlew --console=plain installAllses UP-TO-DATE
> > Task :clients:proces./gradlew --console=plain installAllsMessages
> UP-TO-DATE
>
> > Task :clients:compileJava FAILED
> /home/landon/src/kafka/kafka/clients/src/main/java/org/apache/kafka/common/network/DefaultAuthenticator.java:23:
> warning: [deprecation] PrincipalBuilder in
> org.apache.kafka.common.security.auth has been deprecated
> import org.apache.kafka.common.security.auth.PrincipalBuilder;
>                                             ^
> error: warnings found and -Werror specified
> /home/landon/src/kafka/kafka/clients/src/main/java/org/apache/kafka/common/security/plain/PlainSaslServer.java:104:
> error: method configEntryOption in class JaasContext cannot be applied to
> given types;
>         String expectedPassword =
> jaasContext.configEntryOption(JAAS_USER_PREFIX + username,
>                                              ^
>   required: List<AppConfigurationEntry>,String,String
>   found: String,String
>   reason: actual and formal argument lists differ in length
> /home/landon/src/kafka/kafka/clients/src/main/java/org/apache/kafka/common/security/plain/PlainSaslServer.java:173:
> error: cannot find symbol
>             return new PlainSaslServer(((SaslServerCallbackHandler)
> cbh).jaasContext());
>                                                                         ^
>   symbol:   method jaasContext()
>   location: class SaslServerCallbackHandler
> /home/landon/src/kafka/kafka/clients/src/main/java/org/apache/kafka/common/requests/InitPidRequest.java:68:
> error: constructor AbstractRequest in class AbstractRequest cannot be
> applied to given types;
>         super(version);
>         ^
>   required: ApiKeys,short
>   found: short
>   reason: actual and formal argument lists differ in length
>
> ....
>
> The output continues for dozens of similar errors. Here the output from
> "gradle -v":
>
> > Configure project :
> Building project 'core' with Scala version 2.12.8
> Building project 'streams-scala' with Scala version 2.12.8
>
> > Task :generator:compileJava UP-TO-DATE
> > Task :generator:processResources NO-SOURCE
> > Task :generator:clas./gradlew --console=plain installAllses UP-TO-DATE
> > Task :clients:proces./gradlew --console=plain installAllsMessages
> UP-TO-DATE
>
> > Task :clients:compileJava FAILED
> /home/landon/src/kafka/kafka/clients/src/main/java/org/apache/kafka/common/network/DefaultAuthenticator.java:23:
> warning: [deprecation] PrincipalBuilder in
> org.apache.kafka.common.security.auth has been deprecated
> import org.apache.kafka.common.security.auth.PrincipalBuilder;
>                                             ^
> error: warnings found and -Werror specified
> /home/landon/src/kafka/kafka/clients/src/main/java/org/apache/kafka/common/security/plain/PlainSaslServer.java:104:
> error: method configEntryOption in class JaasContext cannot be applied to
> given types;
>         String expectedPassword =
> jaasContext.configEntryOption(JAAS_USER_PREFIX + username,
>                                              ^
>   required: List<AppConfigurationEntry>,String,String
>   found: String,String
>   reason: actual and formal argument lists differ in length
> /home/landon/src/kafka/kafka/clients/src/main/java/org/apache/kafka/common/security/plain/PlainSaslServer.java:173:
> error: cannot find symbol
>             return new PlainSaslServer(((SaslServerCallbackHandler)
> cbh).jaasContext());
>                                                                         ^
>   symbol:   method jaasContext()
>   location: class SaslServerCallbackHandler
> /home/landon/src/kafka/kafka/clients/src/main/java/org/apache/kafka/common/requests/InitPidRequest.java:68:
> error: constructor AbstractRequest in class AbstractRequest cannot be
> applied to given types;
>         super(version);
>         ^
>   required: ApiKeys,short
>   found: short
>   reason: actual and formal argument lists differ in length
>
> Any help or suggestions or troubleshooting steps would be much appreciated.
>
> Thank you,
>
> L

Mime
View raw message